-- My Events view
insert into DSPL_VW ([USER_ID],DSPL_VW_NME,SITE_CNTNT_ID,SITE_CNTNT_COL_VW_CD,DSPL_VW_DES,DSPL_VW_WEB_ADR,DFLT_VW_CD,PBLC_VW_CD,FILTR_COL_1_OPR_ID,FILTR_COL_2_OPR_ID,FILTR_COL_1_ID,FILTR_COL_2_ID,FILTR_COL_1_VALU_TXT,FILTR_COL_2_VALU_TXT,FILTR_ON_CD,SORT_BY_COL_1_ID,SORT_BY_COL_2_ID,GRP_BY_COL_1_ID,GRP_BY_COL_2_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,FILTR_LOGIC_OPR_ID,SORT_BY_COL_1_ASC_ORDR_CD,SORT_BY_COL_2_ASC_ORDR_CD)
values (1,	'My Events', 1, 'Y', 'All events from me', NULL, 'N', 'N', NULL, NULL, NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 1, 1, GETDATE(), getDate(), NULL, 'Y', 'Y')

insert into DSPL_VW ([USER_ID],DSPL_VW_NME,SITE_CNTNT_ID,SITE_CNTNT_COL_VW_CD,DSPL_VW_DES,DSPL_VW_WEB_ADR,DFLT_VW_CD,PBLC_VW_CD,FILTR_COL_1_OPR_ID,FILTR_COL_2_OPR_ID,FILTR_COL_1_ID,FILTR_COL_2_ID,FILTR_COL_1_VALU_TXT,FILTR_COL_2_VALU_TXT,FILTR_ON_CD,SORT_BY_COL_1_ID,SORT_BY_COL_2_ID,GRP_BY_COL_1_ID,GRP_BY_COL_2_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,FILTR_LOGIC_OPR_ID,SORT_BY_COL_1_ASC_ORDR_CD,SORT_BY_COL_2_ASC_ORDR_CD)
values (1,	'My Events', 2, 'Y', 'All events from me', NULL, 'N', 'N', NULL, NULL, NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 1, 1, GETDATE(), getDate(), NULL, 'Y', 'Y')

insert into DSPL_VW ([USER_ID],DSPL_VW_NME,SITE_CNTNT_ID,SITE_CNTNT_COL_VW_CD,DSPL_VW_DES,DSPL_VW_WEB_ADR,DFLT_VW_CD,PBLC_VW_CD,FILTR_COL_1_OPR_ID,FILTR_COL_2_OPR_ID,FILTR_COL_1_ID,FILTR_COL_2_ID,FILTR_COL_1_VALU_TXT,FILTR_COL_2_VALU_TXT,FILTR_ON_CD,SORT_BY_COL_1_ID,SORT_BY_COL_2_ID,GRP_BY_COL_1_ID,GRP_BY_COL_2_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,FILTR_LOGIC_OPR_ID,SORT_BY_COL_1_ASC_ORDR_CD,SORT_BY_COL_2_ASC_ORDR_CD)
values (1,	'My Events', 3, 'Y', 'All events from me', NULL, 'N', 'N', NULL, NULL, NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 1, 1, GETDATE(), getDate(), NULL, 'Y', 'Y')

insert into DSPL_VW ([USER_ID],DSPL_VW_NME,SITE_CNTNT_ID,SITE_CNTNT_COL_VW_CD,DSPL_VW_DES,DSPL_VW_WEB_ADR,DFLT_VW_CD,PBLC_VW_CD,FILTR_COL_1_OPR_ID,FILTR_COL_2_OPR_ID,FILTR_COL_1_ID,FILTR_COL_2_ID,FILTR_COL_1_VALU_TXT,FILTR_COL_2_VALU_TXT,FILTR_ON_CD,SORT_BY_COL_1_ID,SORT_BY_COL_2_ID,GRP_BY_COL_1_ID,GRP_BY_COL_2_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,FILTR_LOGIC_OPR_ID,SORT_BY_COL_1_ASC_ORDR_CD,SORT_BY_COL_2_ASC_ORDR_CD)
values (1,	'My Events', 4, 'Y', 'All events from me', NULL, 'N', 'N', NULL, NULL, NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 1, 1, GETDATE(), getDate(), NULL, 'Y', 'Y')

insert into DSPL_VW ([USER_ID],DSPL_VW_NME,SITE_CNTNT_ID,SITE_CNTNT_COL_VW_CD,DSPL_VW_DES,DSPL_VW_WEB_ADR,DFLT_VW_CD,PBLC_VW_CD,FILTR_COL_1_OPR_ID,FILTR_COL_2_OPR_ID,FILTR_COL_1_ID,FILTR_COL_2_ID,FILTR_COL_1_VALU_TXT,FILTR_COL_2_VALU_TXT,FILTR_ON_CD,SORT_BY_COL_1_ID,SORT_BY_COL_2_ID,GRP_BY_COL_1_ID,GRP_BY_COL_2_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,FILTR_LOGIC_OPR_ID,SORT_BY_COL_1_ASC_ORDR_CD,SORT_BY_COL_2_ASC_ORDR_CD)
values (1,	'My Events', 5, 'Y', 'All events from me', NULL, 'N', 'N', NULL, NULL, NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 1, 1, GETDATE(), getDate(), NULL, 'Y', 'Y')

update DSPL_VW set FILTR_ON_CD = 'Y', FILTR_COL_1_ID = 46, FILTR_COL_1_OPR_ID = '=', FILTR_COL_1_VALU_TXT = '$USER_ID$' where USER_ID = 1 and DSPL_VW_NME = 'My Events'

-- My Completed View based on My Events view
insert into DSPL_VW 
([USER_ID], DSPL_VW_NME, SITE_CNTNT_ID, SITE_CNTNT_COL_VW_CD, DSPL_VW_DES, DSPL_VW_WEB_ADR, DFLT_VW_CD, PBLC_VW_CD, FILTR_COL_1_OPR_ID, FILTR_COL_2_OPR_ID, FILTR_COL_1_ID, FILTR_COL_2_ID, FILTR_COL_1_VALU_TXT, FILTR_COL_2_VALU_TXT, FILTR_ON_CD, SORT_BY_COL_1_ID, SORT_BY_COL_2_ID, GRP_BY_COL_1_ID, GRP_BY_COL_2_ID, CREAT_BY_USER_ID, MODFD_BY_USER_ID, MODFD_DT, CREAT_DT, FILTR_LOGIC_OPR_ID, SORT_BY_COL_1_ASC_ORDR_CD, SORT_BY_COL_2_ASC_ORDR_CD)
select 
	1, 'My Completed', SITE_CNTNT_ID, SITE_CNTNT_COL_VW_CD, 'All events completed from me', DSPL_VW_WEB_ADR, DFLT_VW_CD, PBLC_VW_CD, FILTR_COL_1_OPR_ID, FILTR_COL_2_OPR_ID, FILTR_COL_1_ID, FILTR_COL_2_ID, FILTR_COL_1_VALU_TXT, FILTR_COL_2_VALU_TXT, FILTR_ON_CD, SORT_BY_COL_1_ID, SORT_BY_COL_2_ID, GRP_BY_COL_1_ID, GRP_BY_COL_2_ID, 1, 1, GETDATE(), GETDATE(), FILTR_LOGIC_OPR_ID, SORT_BY_COL_1_ASC_ORDR_CD, SORT_BY_COL_2_ASC_ORDR_CD
from DSPL_VW with (nolock) where USER_ID = 1 and DSPL_VW_NME = 'My Events' order by  SITE_CNTNT_ID, DSPL_VW_NME

update DSPL_VW set FILTR_ON_CD = 'Y', FILTR_COL_2_ID = 26, FILTR_COL_2_OPR_ID = '=', FILTR_COL_2_VALU_TXT = '6', FILTR_LOGIC_OPR_ID = 'AND' where USER_ID = 1 and DSPL_VW_NME = 'My Completed'